Enable MMX support if safe on the target CPU type.

Patch dahdi_mmx_auto.diff from http://bugs.digium.com/view.php?id=13500

Index: drivers/dahdi/Kbuild
===================================================================
--- a/drivers/dahdi/Kbuild	(revision 6418)
+++ b/drivers/dahdi/Kbuild	(working copy)
@@ -100,3 +100,25 @@ $(obj)/makefw: $(src)/makefw.c
 	$(HOSTCC) -o $@ $^
 
 clean-files	:= radfw.h tor2fw.h
+
+# set CONFIG_DAHDI_MMX for a number of CPU types.
+DAHDI_MMX_AUTO=yes
+DAHDI_USE_MMX=
+DAHDI_MMX_WHITELIST_i386 = M586MMX M686 MPENTIUMII MPENTIUMIII MPENTIUMM \
+			   MPENTIUM4 MVIAC3_2 MVIAC3_2 MK7 MK8
+
+DAHDI_MMX_WHITELIST_x86_64 = 
+
+# A list of configuration variables to test: CONFIG_M686 , etc.
+DAHDI_MMX_CONFIG_VARS := $(DAHDI_MMX_WHITELIST_$(ARCH):%=CONFIG_%)
+
+# expand them:
+DAHDI_MMX_CONFIG_VALS := $(strip  $(foreach var,$(DAHDI_MMX_CONFIG_VARS),$(var))  )
+ifneq (,$(DAHDI_MMX_AUTO))
+  ifneq (,$(DAHDI_MMX_CONFIG_VALS))
+    DAHDI_USE_MMX=yes
+    CFLAGS_zaptel-base.o += -DCONFIG_DAHDI_MMX
+  endif
+endif
+
+export DAHDI_USE_MMX
